use crate::level::Level;
use crate::player::Player;
use crate::position::Position;

pub const LEVELS: usize = 2;

pub struct Game<'game> {
    pub(crate) player: &'game mut Player,
    pub(crate) levels: Vec<Level>,
}

impl Game<'_> {
    pub fn new(p: &mut Player) -> Game {
        let mut v: Vec<Level> = Vec::with_capacity(LEVELS);
        for d in 0..LEVELS {
            let l = Level::new(d);
            v.push(l);
        }
        Game {
            player: p,
            levels: v,
        }
    }

    pub fn get_player(&self) -> &Player {
        &self.player
    }
    pub fn get_mutable_player(&mut self) -> &mut Player {
        &mut self.player
    }
}